List exception comments
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/exceptions/{exceptionId}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/exceptions/{exceptionId}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/exceptions/{exceptionId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "019c96a0-2a10-7dfe-b5c1-8a1b2c3d4e5f",
"exceptionId": "<string>",
"author": "<string>",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "The request contains invalid parameters or malformed syntax. Please check your request and try again."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0002",
"title": "Internal Server Error",
"message": "internal server error"
}List exception comments
Use this endpoint to retrieve all comments for a specific exception. Comments provide an audit trail of team discussions and decisions.
GET
/
v1
/
exceptions
/
{exceptionId}
/
comments
List exception comments
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
The unique identifier of the exception.
Response
List of comments for the exception
List of comments for an exception
Show child attributes
Show child attributes
Was this page helpful?
⌘I

